## org.apache.commons.math3.ode
Class AbstractParameterizable

    java.lang.Object
      org.apache.commons.math3.ode.AbstractParameterizable

All Implemented Interfaces:
  Parameterizable

    public abstract class AbstractParameterizable

extends java.lang.Object
implements Parameterizable

This abstract class provides boilerplate parameters list.

Since:
  3.0
Version:
  $Id: AbstractParameterizable.java 1416643 2012-12-03 19:37:14Z tn $

Field Summary
`private java.util.Collection<java.lang.String>` `parametersNames` List of the parameters names.

Constructor Summary
`protected` `AbstractParameterizable(java.util.Collection<java.lang.String> names)` Simple constructor.
`protected` `AbstractParameterizable(java.lang.String... names)` Simple constructor.

Method Summary
`void` `complainIfNotSupported(java.lang.String name)` Check if a parameter is supported and throw an IllegalArgumentException if not.
`java.util.Collection<java.lang.String>` `getParametersNames()` Get the names of the supported parameters.
`boolean` `isSupported(java.lang.String name)` Check if a parameter is supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parametersNames

    private final java.util.Collection<java.lang.String> parametersNames

  List of the parameters names.

Constructor Detail

### AbstractParameterizable

    protected AbstractParameterizable(java.lang.String... names)

  Simple constructor.

  Parameters:
    `names` - names of the supported parameters

### AbstractParameterizable

    protected AbstractParameterizable(java.util.Collection<java.lang.String> names)

  Simple constructor.

  Parameters:
    `names` - names of the supported parameters

Method Detail

### getParametersNames

    public java.util.Collection<java.lang.String> getParametersNames()

  Get the names of the supported parameters.

  Specified by:
    `getParametersNames` in interface `Parameterizable`
  Returns:
    parameters names
  See Also:
    `Parameterizable.isSupported(String)`

### isSupported

    public boolean isSupported(java.lang.String name)

  Check if a parameter is supported.

  Supported parameters are those listed by `Parameterizable.getParametersNames()`.

  Specified by:
    `isSupported` in interface `Parameterizable`
  Parameters:
    `name` - parameter name to check
  Returns:
    true if the parameter is supported
  See Also:
    `Parameterizable.getParametersNames()`

### complainIfNotSupported

    public void complainIfNotSupported(java.lang.String name)
                                throws UnknownParameterException

  Check if a parameter is supported and throw an IllegalArgumentException if not.

  Parameters:
    `name` - name of the parameter to check
  Throws:
    `UnknownParameterException` - if the parameter is not supported
  See Also:
    `isSupported(String)`

Copyright (c) 2003-2013 Apache Software Foundation